package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF2I9 extends MwfRequest<MWF2I9, MWF2I9Response> {

    @Parameter(name = "CIF")
    MWF2I9 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF2I9 channelId(String channelId);
    @Parameter(name = "Data")
    MWF2I9 data(java.util.List<MWF2I9Data> data);
    @Parameter(name = "ProdPackageKey")
    MWF2I9 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "SignatureID")
    MWF2I9 signatureID(String signatureID);
}
